/*
** ===================================================================
** Název souboru   : Base_unit.h
** Mikrokontroler  : ATmega128, 
** Popis           : hlavickovy soubor pro Základnovou jednotku pristupoveho systemu BodyCom
**                 :  
** Autor           : Jan Kristel (kristel_ml@volny,cz)
**                 : xx.04.2014
** ===================================================================
*/

//-------PORTA--------
//LCD

//-------PORTB---------
// RFM12B - knihovna
#define OSC_MOD 4 // zmena


//-------PORTC----------
#define REL1 0
#define REL2 1
#define BZ 4

//----- PORTD------
//--


//------PORTE-----------
//MCP 2030 


//------PORTF----------
#define TL1 0  // tlacitk0
#define TL2 1
#define TL3 2
#define TL4 3

#define LED1 4 // indikační LED
#define LED2 5

//#define RE PORTD4  // set bit RX/TX RS485  




#ifndef BASE_UNIT_H_
#define BASE_UNIT_H_

void init(void);

void osc_rx_pwm_stop(void);
unsigned int RX_data ();
void TX_data (void);
void USART_send_0( unsigned char data);
void USART_putstring_0(volatile char* StringPtr);
unsigned char USART_receive_0(void);
void osc_rx_pwm(void);
void beep(unsigned int lng);


#endif /* BASE_UNIT_H_ */